Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.blaf
Class InputRenderTag

`java.lang.Object
oracle.cabo.ui.jsps.tags.BaseTag
oracle.cabo.ui.jsps.tags.BaseUINodeTag
oracle.cabo.ui.jsps.tags.FlowLayoutTag
oracle.jbo.html.jsp.blaf.InputRenderTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, oracle.cabo.ui.jsps.tags.UINodeEnvelopeTag, oracle.cabo.ui.jsps.tags.UINodeTag, oracle.cabo.ui.jsps.tags.UIXTag

public class InputRenderTag
extends oracle.cabo.ui.jsps.tags.FlowLayoutTag

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputRenderTag()`

Method Summary
`java.lang.String` | `getDataitem()`
`java.lang.String` | `getDatasource()`
`protected javax.servlet.jsp.PageContext` | `getPageContext()`
`protected boolean` | `hasCustomEditRenderer(AttributeDef aDef)`
`protected void` | `initializeBeanPropertiesBasedOnObjectInfo(oracle.cabo.ui.MutableUINode node, ViewObject view, AttributeDef aDef, LocaleContext locale)`
`protected void` | `initializeDateField(LocaleContext locale, AttributeDef aDef, oracle.cabo.ui.beans.form.DateFieldBean bean)`
`void` | `release()`
`protected void` | `selectDefaultControlTypeBasedOnDomainType(DataSource ds, Row row, LocaleContext locale, AttributeDef aDef)`
`void` | `setDataitem(java.lang.String newDataitem)`
`void` | `setDatasource(java.lang.String newDatasource)`
`void` | `setProperties(oracle.cabo.ui.MutableUINode node)` initializeProperties

Methods inherited from class oracle.cabo.ui.jsps.tags.FlowLayoutTag
`createUINode, setInlineStyle, setInlineStyleBinding, setOnClick, setOnClickBinding, setOnDoubleClick, setOnDoubleClickBinding, setOnKeyDown, setOnKeyDownBinding, setOnKeyPress, setOnKeyPressBinding, setOnKeyUp, setOnKeyUpBinding, setOnMouseDown, setOnMouseDownBinding, setOnMouseMove, setOnMouseMoveBinding, setOnMouseOut, setOnMouseOutBinding, setOnMouseOver, setOnMouseOverBinding, setOnMouseUp, setOnMouseUpBinding, setRendered, setRenderedBinding, setShortDesc, setShortDescBinding, setStyleClass, setStyleClassBinding`

Methods inherited from class oracle.cabo.ui.jsps.tags.BaseUINodeTag
`addNode, doEndTag, doStartTag, getAttributeValue, getBoundAttributeValue, getExposeBeanWithKey, getId, getParent, getUINode, parseBinding, parseBinding, parseBoolean, parseBoundValue, parseChar, parseDate, parseInt, parseLong, parseStringArray, setAttributeValue, setAttributeValue, setBoundAttributeValue, setId, setNodeID, setPageContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### InputRenderTag

    public InputRenderTag()

Method Detail

### initializeDateField

    protected void initializeDateField(LocaleContext locale,
                                       AttributeDef aDef,
                                       oracle.cabo.ui.beans.form.DateFieldBean bean)

### hasCustomEditRenderer

    protected boolean hasCustomEditRenderer(AttributeDef aDef)

### selectDefaultControlTypeBasedOnDomainType

    protected void selectDefaultControlTypeBasedOnDomainType(DataSource ds,
                                                             Row row,
                                                             LocaleContext locale,
                                                             AttributeDef aDef)

### initializeBeanPropertiesBasedOnObjectInfo

    protected void initializeBeanPropertiesBasedOnObjectInfo(oracle.cabo.ui.MutableUINode node,
                                                             ViewObject view,
                                                             AttributeDef aDef,
                                                             LocaleContext locale)

### setProperties

    public void setProperties(oracle.cabo.ui.MutableUINode node)

  initializeProperties

### getDatasource

    public java.lang.String getDatasource()

### setDatasource

    public void setDatasource(java.lang.String newDatasource)

### getDataitem

    public java.lang.String getDataitem()

### setDataitem

    public void setDataitem(java.lang.String newDataitem)

### release

    public void release()

### getPageContext

    protected javax.servlet.jsp.PageContext getPageContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.